import RPi.GPIO as GPIO
import dht11
import time
import datetime

# initialize GPIO
GPIO.setwarnings(False)
GPIO.setmode(GPIO.BCM)
GPIO.cleanup()

# read data using pin 14
instance = dht11.DHT11(pin=14)

while True:
    result = instance.read()
    if result.is_valid():
        print("Last valid input: " + str(datetime.datetime.now()))
        print("Temperature: %d C" % result.temperature)
        print("Humidity: %d %%" % result.humidity)
        # 人を検知したらMQTTにメッセージをPublishする
        import paho.mqtt.client as mqtt
        client = mqtt.Client()
        client.connect('192.168.128.202', 1883, keepalive=60)
        client.publish('topic/aitc', '人を発見！')

    time.sleep(1)
